vich_uploader:
    db_driver: orm
    mappings:
        booklet_files:
            uri_prefix: /uploads/booklets
            upload_destination: '%kernel.project_dir%/var/uploads/booklets'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            directory_namer:
                service: Vich\UploaderBundle\Naming\CurrentDateTimeDirectoryNamer
                options:
                    date_time_format: Y/m/d
                    date_time_property: 'upload_time'
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true
        booklet_preview:
            uri_prefix: /uploads/booklet_previews
            upload_destination: '%kernel.project_dir%/var/uploads/booklet_previews'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            directory_namer:
                service: Vich\UploaderBundle\Naming\CurrentDateTimeDirectoryNamer
                options:
                    date_time_format: Y/m/d
                    date_time_property: 'preview_file_upload_date'
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true